#!/usr/bin/env node
'use strict';

const nativeMessage = require('chrome-native-messaging');
const child = require('child_process');

process.stdin
    .pipe(new nativeMessage.Input())
    .pipe(new nativeMessage.Transform(function(msg, push, done) {

			run_gd(push, done, msg);

    }))
    .pipe(new nativeMessage.Output())
    .pipe(process.stdout)
;



function run_gd(push, done, msg)
{



	try
	{

		let data = JSON.parse(msg);
		child.exec(data.cmd);
	}
	catch(e)
	{

	}
	
	push(JSON.stringify({"message":"done"}))
	
	done();

}


